//***********************************************************
//*
//* File:           Move.java
//* Author:         Abhinav Kamra
//* Contact:        kamra@cs.columbia.edu
//* Update:         10.03.2004
//*
//* Description:    Basic Move object representing individaul
//*                 transformations of a polygon for Project
//*                 4, CS4444 Fall 2003.
//*
//***********************************************************

package Maps;

import java.io.Serializable;
import java.awt.*;
import java.awt.image.*;

public class Move implements IFCConstants, Serializable {

	BufferedImage[] _images;
	String _mapname;

    public Move(BufferedImage[] __images, String __mapname) throws Exception {
	if(__images != null)
	{
		_images = new BufferedImage[__images.length];
	        System.arraycopy(__images, 0, _images, 0, __images.length);
	}
	_mapname = __mapname;
    }

    public String getName()
    {
	    return _mapname;
    }
    
    public BufferedImage getImage(int index)
    {
	    if((_images != null)&&(_images.length > index))
	    {
		    return _images[index];
	    }
	    return null;
    }

    public String toString() {
        try {
            StringBuffer SB = new StringBuffer();

            SB.append("[");
            return new String(SB);

        } catch (Exception EXC) {
            return _CERROR_STRING;
        }
    }
}
