//***********************************************************
//*
//* File:           IFCGameRecord.java
//* Author:         Abhinav Kamra
//* Contact:        kamra@cs.columbia.edu
//* Update:         9.13.2003
//*
//* Description:    Interface for individual game entries
//*                 used to specify and store tournament
//*                 games.
//*
//***********************************************************

package ui;

import java.io.Serializable;

public interface IFCGameRecord extends Serializable { 

    public void     setPlayers(Class[] __players)               throws Exception;
    public Class[]  players()                                   throws Exception;
    public void     setScores(double[] __scores)                throws Exception;
    public double[] scores()                                    throws Exception;
    public void     setNumRounds(int __numrounds)               throws Exception;
    public int      numRounds()                                 throws Exception;
    public void     setNumHiddenCards(int __numhidden)          throws Exception;
    public int      numHiddenCards()                            throws Exception;
    public void     setCardsPerPlayer(int __size)               throws Exception;
    public int      cardsperplayer()                            throws Exception;
    public void     setBatchComplete(boolean __batchcomplete)   throws Exception;
    public boolean  batchComplete()                             throws Exception;
}
